Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.portal.theme.plugin.impl
Interface ThemeContentDescriptorConstants

All Known Subinterfaces:
  ThemeItemDescriptorConstants, ThemeJspIncludeDescriptorConstants

All Known Implementing Classes:
  DefaultThemeContent, DefaultThemeItem, DefaultThemeJspInclude, DefaultThemeLinkItem, DefaultThemeTextItem

    public interface ThemeContentDescriptorConstants

Constants describing the xml attributes for a `DefaultThemeContent`.

Since:
  6.0
Note:

  This interface is designed to be implemented by clients.

Field Summary
`static java.lang.String` | `CLASS_ATTRIBUTE` The `CLASS_ATTRIBUTE` indicates the fully qualified classname of the Java class implementing the `IThemeContent` interface.
`static java.lang.String` | `DESCR_ATTRIBUTE` The `DESCR_ATTRIBUTE` should contain the NLS bundle key for retrieving the description property of the `IThemeItem`.
`static java.lang.String` | `ID_ATTRIBUTE` The `ID_ATTRIBUTE` is an arbitrary id that can be used for identification purposes.
`static java.lang.String` | `ORDINAL_ATTRIBUTE` The `ORDINAL_ATTRIBUTE` should be an integer indicating the precedence of the item in rendering.
`static java.lang.String` | `TITLE_ATTRIBUTE` The `TITLE_ATTRIBUTE` should contain the NLS bundle key for retrieving the title property of the `IThemeItem`.

Field Detail

### ID_ATTRIBUTE

    static final java.lang.String ID_ATTRIBUTE

  The `ID_ATTRIBUTE` is an arbitrary id that can be used for identification purposes.

  See Also:
    Constant Field Values

### CLASS_ATTRIBUTE

    static final java.lang.String CLASS_ATTRIBUTE

  The `CLASS_ATTRIBUTE` indicates the fully qualified classname of the Java class implementing the `IThemeContent` interface.

  See Also:
    Constant Field Values

### ORDINAL_ATTRIBUTE

    static final java.lang.String ORDINAL_ATTRIBUTE

  The `ORDINAL_ATTRIBUTE` should be an integer indicating the precedence of the item in rendering. A lower number takes higher precedence.

  See Also:
    Constant Field Values

### TITLE_ATTRIBUTE

    static final java.lang.String TITLE_ATTRIBUTE

  The `TITLE_ATTRIBUTE` should contain the NLS bundle key for retrieving the title property of the `IThemeItem`.

  See Also:
    Constant Field Values

### DESCR_ATTRIBUTE

    static final java.lang.String DESCR_ATTRIBUTE

  The `DESCR_ATTRIBUTE` should contain the NLS bundle key for retrieving the description property of the `IThemeItem`.

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD